curl "https://api.smartcar.com/v2.0/vehicles/{id}/charge" \
-H "Authorization: Bearer {token}" \
-X "GET"
charge = vehicle.charge()
const charge = await vehicle.charge()
VehicleCharge charge = vehicle.charge();
charge = vehicle.charge
{
"isPluggedIn": true,
"state": "FULLY_CHARGED"
}
Vehicle Data
Charge Status
Returns the charge status for the vehicle.
GET
/
v2.0
/
vehicles
/
{id}
/
charge
curl "https://api.smartcar.com/v2.0/vehicles/{id}/charge" \
-H "Authorization: Bearer {token}" \
-X "GET"
charge = vehicle.charge()
const charge = await vehicle.charge()
VehicleCharge charge = vehicle.charge();
charge = vehicle.charge
{
"isPluggedIn": true,
"state": "FULLY_CHARGED"
}
The Vehicles API v2.0 will be deprecated on December 1, 2026. The latest version, v3, was introduced on August 26, 2025. We recommend migrating as soon as possible to ensure continued support and access to new features.
Permission
read_charge
Request
Pathstring
required
The vehicle ID of the vehicle you are making a request to.
curl "https://api.smartcar.com/v2.0/vehicles/{id}/charge" \
-H "Authorization: Bearer {token}" \
-X "GET"
charge = vehicle.charge()
const charge = await vehicle.charge()
VehicleCharge charge = vehicle.charge();
charge = vehicle.charge
Response
bool
Indicates whether a charging cable is currently plugged into the vehicle’s charge port.
string
Returns the current charge status of a vehicle. A vehicle can be
FULLY_CHARGED at less than 100% SoC if its Charge Limit is less than 1.{
"isPluggedIn": true,
"state": "FULLY_CHARGED"
}
Was this page helpful?

